Packages - Bug #2471

[pulseaudio] Sound no longer working after update on Parabola OpenRC
2019-08-20 04:32 PM - ThislsMyAccount

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

| have Parabola OpenRC on my Thinkpad X60. | updated all packages today, and since then, pulseaudio is no longer working
correctly, even after a system reboot. Under pavucontrol, there is just a Dummy Output. This is also the case if | login with root.

| have checked all of the things | had to configure before to get pulseaudio working with OpenRC before, and it's all still there:
- | am a member of the audio group

- My /etc/pulse/client.conf has the content mentioned in https://wiki.parabola.nu/OpenRC#Groups

History

#1 - 2019-08-20 05:08 PM - ThislsMyAccount

| just noticed when exiting i3 that | see the following output on my screen:

E: [pulseaudio] itdl-bind.now.c: Failed to open module /usr/lib/pulse-12.2/modules/module-alsa-card.so: /usr/lib/pulse-12.2/modules/libalsa-util.so:
undefined symbol: pa_alsa_ucm_device_update_available
E: [pulseaudio] module.c: Failed to open module "module-alsa-card"

This appears to be related to the issue.

#2 - 2019-08-20 05:40 PM - freemor
Thanks for the error output. very useful.

pacman -Fo /usr/lib/pulse-12.2/modules/libalsa-util.so -> is owned by extra/pulseaudio 12.2-2
pacman -Fo /ust/lib/pulse-12.2/modules/module-alsa-card.so -> is owned by extra/pulseaudio 12.2-2

So fom the error it isn't obviously related to anything Parabola.. I'll keep digging tho.
Is anyone else seein this issue?

I'll do a little more digging to be sure it's not us

#3 - 2019-08-20 06:45 PM - ThislsMyAccount

That's odd. | checked the packages | cached today and pulseaudio was not updated today on my machine. alsa-utils and alsa-lib were updated today,
so | tried downgrading to the previous versions and it didn't seem to fix it.

#4 - 2019-08-20 06:57 PM - ThislsMyAccount

Okay, | just downgraded pulseaudio and libpulse as well to previous versions, and | was able to get my sound back for now. The packages | installed
to fix the issue were as follows:

/var/cache/pacman/pkg/alsa-lib-1.1.9-1.0-i686.pkg.tar.xz
/var/cache/pacman/pkg/alsa-utils-1.1.9-1.0-i686.pkg.tar.xz
/var/cache/pacman/pkg/libpulse-12.2-2.4-i686.pkg.tar.xz
/var/cache/pacman/pkg/pulseaudio-12.2-2.4-i686.pkg.tar.xz

The following are the latest versions in Parabola OpenRC i686 that are NOT working together:
/var/cache/pacman/pkg/alsa-lib-1.1.9-2.0-i686.pkg.tar.xz
/var/cache/pacman/pkg/alsa-utils-1.1.9-1.1-i686.pkg.tar.xz
/var/cache/pacman/pkg/libpulse-12.2-2.5-i686.pkg.tar.xz
/var/cache/pacman/pkg/pulseaudio-12.2-2.5-i686.pkg.tar.xz

| do see that the version numbers of some of these packages seem to differ between i686 and x86_64. Would that be an issue at all?

#5 - 2019-08-20 07:11 PM - freemor
Didn't relaize the x60 is i686.. let me go take a gander on my 686 rig
#6 - 2019-08-23 06:53 AM - bill-auger

aside from arch="all' packages, i686 and x86_64 are separate
systems - the versions only need to be self-consistent - only
packages with arch="all' could pose any conflicts

#7 - 2019-08-23 02:36 PM - freemor

| suspect what is going on with this one is that archlinux32 just pushed out a
whole bunch of updates. | suspect that in that some of the alsa/pulseaudio
libs got out of sync. I'm guessing more updates will be rolling over the next
few days. The checking | mentioned above got interupted by having to wait for
my poor i686 maching to install the 300+ updates.

#8 - 2019-09-19 02:33 PM - ThislsMyAccount
I noticed that pulseaudio and libpulse are now at version 12.2-2.6, so | upgraded to those, and unfortunately | am still seeing the "dummy output”

issue on 686

#9 - 2019-10-24 05:56 PM - ThislsMyAccount

Pretty sure this is resolved now. Installed pulseaudio 13.0 today and sound appears to be working again even after a reboot.

#10 - 2019-10-25 03:57 AM - bill-auger

- Status changed from unconfirmed to not-a-bug

excellent - bugs that fix themselves are the best kind
